Bug 1003220 - [abrt] dnf-0.3.11-1.git7d717c7.fc19: output.py:838:_enc:TypeError: object of type 'NoneType' has no len()
[abrt] dnf-0.3.11-1.git7d717c7.fc19: output.py:838:_enc:TypeError: object of ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Radek Holy
Fedora Extras Quality Assurance
abrt_hash:09edbf408682dd751825aa06d0d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-31 20:38 EDT by gilgamesh2k
Modified: 2015-10-05 22:14 EDT (History)
6 users (show)

See Also:
Fixed In Version: dnf-0.3.11-3.git7bdc9e1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-22 20:05:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.30 KB, text/plain)
2013-08-31 20:39 EDT, gilgamesh2k
no flags Details
File: environ (2.96 KB, text/plain)
2013-08-31 20:39 EDT, gilgamesh2k
no flags Details

  None (edit)
Description gilgamesh2k 2013-08-31 20:38:58 EDT
Description of problem:
1) installed
2) dnf info<enter>

Version-Release number of selected component:
dnf-0.3.11-1.git7d717c7.fc19

Additional info:
reporter:       libreport-2.1.6
cmdline:        /usr/bin/python /usr/bin/dnf info
executable:     /usr/bin/dnf
kernel:         3.10.5-201.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
output.py:838:_enc:TypeError: object of type 'NoneType' has no len()

Traceback (most recent call last):
  File "/usr/bin/dnf", line 35, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 292, in user_main
    errcode = main(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 64, in main
    return _main(base, args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 133, in _main
    result, resultmsgs = cli.run()
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 1295, in run
    return self.command.doCommand(self.base.basecmd, self.base.extcmds)
  File "/usr/lib/python2.7/site-packages/dnf/cli/commands.py", line 612, in doCommand
    '=' : clar, 'not in' : clai})
  File "/usr/lib/python2.7/site-packages/dnf/cli/output.py", line 991, in listPkgs
    self.infoOutput(pkg, highlight=highlight)
  File "/usr/lib/python2.7/site-packages/dnf/cli/output.py", line 891, in infoOutput
    print(self.fmtKeyValFill(_("Description : "),self._enc(pkg.description)))
  File "/usr/lib/python2.7/site-packages/dnf/cli/output.py", line 838, in _enc
    if len(s) > 0:
TypeError: object of type 'NoneType' has no len()

Local variables in innermost frame:
s: None
self: <dnf.cli.cli.YumBaseCli object at 0x105dd90>
Comment 1 gilgamesh2k 2013-08-31 20:39:02 EDT
Created attachment 792490 [details]
File: backtrace
Comment 2 gilgamesh2k 2013-08-31 20:39:05 EDT
Created attachment 792491 [details]
File: environ
Comment 3 Ales Kozumplik 2013-09-02 08:31:54 EDT
Thanks for the report, I can reproduce this with 'dnf info i2c-tools-python'.
Comment 4 Radek Holy 2013-09-11 04:45:03 EDT
Fixed by 521272b51abd1e15c93f51b874475bd66a926bbc on master.
Fixed by 7bdc9e170d3ba8937be59c36b77cdfff2b45a557 on maint-f19.
Comment 5 Fedora Update System 2013-09-11 04:50:23 EDT
dnf-0.3.11-3.git7bdc9e1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/dnf-0.3.11-3.git7bdc9e1.fc19
Comment 6 Fedora Update System 2013-09-11 21:59:58 EDT
Package dnf-0.3.11-3.git7bdc9e1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-0.3.11-3.git7bdc9e1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16487/dnf-0.3.11-3.git7bdc9e1.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-09-16 09:41:20 EDT
dnf-0.4.1-1.git55e6369.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnf-0.4.1-1.git55e6369.fc20
Comment 8 Fedora Update System 2013-09-22 20:05:50 EDT
dnf-0.3.11-3.git7bdc9e1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.